"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.aForEach = void 0;
/**
 * Async ForEach function
 *
 * @export
 * @template T
 * @param {T[]} elements
 * @param {CallBackForEach<T>} cb
 * @returns {Promise<void>}
 */
function aForEach(elements, cb) {
    return __awaiter(this, void 0, void 0, function* () {
        for (const [index, element] of elements.entries()) {
            yield cb(element, index, elements);
        }
    });
}
exports.aForEach = aForEach;
//# sourceMappingURL=a_foreach.js.map